# Tests by default. No tests: rpm -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 0}

%global __tar /opt/freeware/bin/tar
%global name fio 
%global version 3.35
%global release 1
%global _libdir64 %{_prefix}/lib64

Name:           %{name}
Version:        %{version}
Release:        1
Summary:        Multithreaded IO generation tool
License:        GPL-2.0-only
URL:            https://github.com/axboe/fio
Source0:        https://github.com/axboe/fio/archive/refs/tags/%{name}-%{version}.tar.gz

Patch1:         fio-3.35-aix-missing-vasprintf.patch
Patch2:         fio-3.35-aix-missing-asprintf.patch
Patch3:		fio-3.35-vasprint_include.patch
Patch4:		fio-3.35-arch.patch
Patch5:		fio-3.35-fileoperations.patch
Patch6:		fio-3.35-makefile.patch

BuildRequires:  gcc >= 10
BuildRequires:  gcc-c++ >= 10
BuildRequires:  zlib-devel >= 1.2.13
BuildRequires:  curl-devel >= 8.4.0

%if %{toolchain} == "gcc"
Requires: libgcc >= 10.3.0
Requires: libstdc++ >= 10.3.0
%endif

Requires: zlib >= 1.2.13
Requires: curl >= 8.4.0

%description
fio is an I/O tool that will spawn a number of threads or processes doing
a particular type of io action as specified by the user.  fio takes a
number of global parameters, each inherited by the thread unless
otherwise parameters given to them overriding that setting is given.
The typical use of fio is to write a job file matching the io load
one wants to simulate.

%prep
%setup -n  fio-fio-%{version}
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
export OBJECT_MODE=64
export CC="%{__cc__} -maix64 -pthread"
export CFLAGS="-I/opt/freeware/include -fPIC -O2 -I/usr/include"
export CXX="%{__cxx__} -maix64 -pthread"
export CXXFLAGS="-I/opt/freeware/include -fPIC -O2 -I/usr/include"
export LDFLAGS="-s -L/opt/freeware/lib/pthread -L/opt/freeware/lib64 -L/opt/freeware/lib -L/usr/lib"
./configure
make V=1

%install
make DESTDIR=$RPM_BUILD_ROOT install prefix=%{_prefix} 

%check
#Nothing yet.

%files
%doc README.rst REPORTING-BUGS HOWTO.rst examples
%doc MORAL-LICENSE GFIO-TODO SERVER-TODO STEADYSTATE-TODO COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/*

%changelog
* Tue Nov 28 2023 Ranjit Ranjan <ranjit.ranjan@ibm.com> - 3.35-1
- Port on AIX.
